Subject: Re: bug#53038: 28.0.50; problem building

From: Robert Pluim <[email-masked]>
Date: Fri, 07 Jan 2022 13:36:55 +0100

>>>>> On Fri, 07 Jan 2022 13:44:08 +0200, Eli Zaretskii <[email-masked]> said:

    >> From: [email-masked]
    >> Cc: [email-masked]
    >> Date: Fri, 07 Jan 2022 09:44:14 +0100
    >> 
    >> > When the build fails, does the file lisp/international/emoji.el exist?
    >> 
    >> It does exist, yes.

    Eli> So the problem seems to be with finding files via load-path.

    Eli> My suggestion is to run the failing command manually, and if it also
    Eli> fails, run it under a debugger to see why Emacs cannot find an
    Eli> existing Lisp file.

Looking through the build log, $PWD and the paths reported by the
build look different. Is there some symlinking or NFS-mounting going
on?

Robert
--